Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2137855 - F38FailsToInstall: obserware
Summary: F38FailsToInstall: obserware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: obserware
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Akashdeep Dhar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-10-26 12:07 UTC by Miro Hrončok
Modified: 2022-11-24 01:25 UTC (History)
2 users (show)

Fixed In Version: obserware-0.2.9-4.fc38 obserware-0.2.9-4.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-18 10:03:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-10-26 12:07:09 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (obserware) Fails To Install in Fedora 38:

can't install obserware:
  - nothing provides (python3.11dist(py-cpuinfo) < 9~~ with python3.11dist(py-cpuinfo) >= 8) needed by obserware-0.2.9-3.fc37.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install obserware


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2022-11-07 22:46:54 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Akashdeep Dhar 2022-11-18 06:19:58 UTC
Hello,

I have started the fix with https://gitlab.com/t0xic0der/obserware/-/merge_requests/100. 

I would be opening up a merge request in the dist-git shortly when the build succeeds on Koji.

Regards,
Akashdeep Dhar

Comment 3 Fedora Update System 2022-11-18 09:54:19 UTC
FEDORA-2022-babdf4b1c7 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-babdf4b1c7

Comment 4 Fedora Update System 2022-11-18 09:58:12 UTC
FEDORA-2022-e106405d6f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e106405d6f

Comment 5 Fedora Update System 2022-11-18 10:03:35 UTC
FEDORA-2022-babdf4b1c7 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-11-19 01:50:45 UTC
FEDORA-2022-e106405d6f has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e106405d6f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e106405d6f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-11-24 01:25:52 UTC
FEDORA-2022-e106405d6f has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.